Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmCancelInvoice.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmCancelInvoice.Designer.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmCancelInvoice.Designer.cs	(revision 400)
@@ -28,13 +28,10 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            this.btnExecProc1 = new System.Windows.Forms.Button();
-            this.btnCancel = new System.Windows.Forms.Button();
-            this.panel1 = new System.Windows.Forms.Panel();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
             this.groupBoxEx2 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.textBox1 = new System.Windows.Forms.TextBox();
             this.label6 = new System.Windows.Forms.Label();
@@ -44,6 +41,9 @@
             this.lblValue04 = new System.Windows.Forms.Label();
             this.groupBoxEx1 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.dgv1 = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label1 = new System.Windows.Forms.Label();
             this.label3 = new System.Windows.Forms.Label();
             this.lblValue03 = new System.Windows.Forms.Label();
@@ -50,51 +50,13 @@
             this.lblValue02 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
             this.lblValue01 = new System.Windows.Forms.Label();
-            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.panel1.SuspendLayout();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnExecProc1 = new System.Windows.Forms.Button();
             this.groupBoxEx2.SuspendLayout();
             this.groupBoxEx1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
             this.SuspendLayout();
             // 
-            // btnExecProc1
-            // 
-            this.btnExecProc1.BackColor = System.Drawing.Color.Green;
-            this.btnExecProc1.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.btnExecProc1.ForeColor = System.Drawing.Color.White;
-            this.btnExecProc1.Location = new System.Drawing.Point(683, 10);
-            this.btnExecProc1.Name = "btnExecProc1";
-            this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
-            this.btnExecProc1.TabIndex = 0;
-            this.btnExecProc1.Text = "取消実行";
-            this.btnExecProc1.UseVisualStyleBackColor = false;
-            this.btnExecProc1.Click += new System.EventHandler(this.btnExecProc1_Click);
-            // 
-            // btnCancel
-            // 
-            this.btnCancel.BackColor = System.Drawing.Color.Red;
-            this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.btnCancel.ForeColor = System.Drawing.Color.White;
-            this.btnCancel.Location = new System.Drawing.Point(835, 10);
-            this.btnCancel.Name = "btnCancel";
-            this.btnCancel.Size = new System.Drawing.Size(140, 40);
-            this.btnCancel.TabIndex = 3;
-            this.btnCancel.Text = "キャンセル";
-            this.btnCancel.UseVisualStyleBackColor = false;
-            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
-            // 
-            // panel1
-            // 
-            this.panel1.BackColor = System.Drawing.Color.WhiteSmoke;
-            this.panel1.Controls.Add(this.btnCancel);
-            this.panel1.Controls.Add(this.btnExecProc1);
-            this.panel1.Location = new System.Drawing.Point(-3, 504);
-            this.panel1.Name = "panel1";
-            this.panel1.Size = new System.Drawing.Size(990, 60);
-            this.panel1.TabIndex = 3;
-            // 
             // groupBoxEx2
             // 
             this.groupBoxEx2.BackColor = System.Drawing.Color.WhiteSmoke;
@@ -198,14 +160,14 @@
             this.dgv1.AllowUserToResizeColumns = false;
             this.dgv1.AllowUserToResizeRows = false;
             this.dgv1.BackgroundColor = System.Drawing.Color.White;
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle5.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle5.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle5.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle5.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle5.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgv1.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgv1.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgv1.ColumnHeadersHeight = 24;
             this.dgv1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgv1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
@@ -223,6 +185,44 @@
             this.dgv1.Size = new System.Drawing.Size(944, 150);
             this.dgv1.TabIndex = 44;
             // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 60;
+            // 
+            // col2
+            // 
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.col2.DefaultCellStyle = dataGridViewCellStyle3;
+            this.col2.Frozen = true;
+            this.col2.HeaderText = "請　求　案　件";
+            this.col2.Name = "col2";
+            this.col2.ReadOnly = true;
+            this.col2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col2.Width = 664;
+            // 
+            // col3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
+            this.col3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.col3.Frozen = true;
+            this.col3.HeaderText = "請　求　金　額";
+            this.col3.Name = "col3";
+            this.col3.ReadOnly = true;
+            this.col3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col3.Width = 200;
+            // 
             // label1
             // 
             this.label1.AutoSize = true;
@@ -280,54 +280,38 @@
             this.lblValue01.TabIndex = 3;
             this.lblValue01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // Column1
+            // btnCancel
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle6;
-            this.Column1.Frozen = true;
-            this.Column1.HeaderText = "№";
-            this.Column1.Name = "Column1";
-            this.Column1.ReadOnly = true;
-            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column1.Width = 60;
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(832, 509);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(140, 40);
+            this.btnCancel.TabIndex = 22;
+            this.btnCancel.Text = "キャンセル";
+            this.btnCancel.UseVisualStyleBackColor = false;
             // 
-            // col2
+            // btnExecProc1
             // 
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.col2.DefaultCellStyle = dataGridViewCellStyle7;
-            this.col2.Frozen = true;
-            this.col2.HeaderText = "請　求　案　件";
-            this.col2.Name = "col2";
-            this.col2.ReadOnly = true;
-            this.col2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col2.Width = 664;
+            this.btnExecProc1.BackColor = System.Drawing.Color.Green;
+            this.btnExecProc1.ForeColor = System.Drawing.Color.White;
+            this.btnExecProc1.Location = new System.Drawing.Point(680, 509);
+            this.btnExecProc1.Name = "btnExecProc1";
+            this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
+            this.btnExecProc1.TabIndex = 21;
+            this.btnExecProc1.Text = "取消実行";
+            this.btnExecProc1.UseVisualStyleBackColor = false;
             // 
-            // col3
-            // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle8.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle8.ForeColor = System.Drawing.Color.Black;
-            this.col3.DefaultCellStyle = dataGridViewCellStyle8;
-            this.col3.Frozen = true;
-            this.col3.HeaderText = "請　求　金　額";
-            this.col3.Name = "col3";
-            this.col3.ReadOnly = true;
-            this.col3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col3.Width = 200;
-            // 
             // FrmCancelInvoice
             // 
-            this.AcceptButton = this.btnExecProc1;
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
-            this.BackColor = System.Drawing.Color.White;
+            this.BackColor = System.Drawing.Color.PaleGoldenrod;
             this.ClientSize = new System.Drawing.Size(984, 561);
+            this.Controls.Add(this.btnCancel);
+            this.Controls.Add(this.btnExecProc1);
             this.Controls.Add(this.groupBoxEx2);
             this.Controls.Add(this.groupBoxEx1);
-            this.Controls.Add(this.panel1);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.KeyPreview = true;
@@ -340,7 +324,6 @@
             this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.FrmStatusAndDate_FormClosed);
             this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmCancelInvoice_KeyDown);
-            this.panel1.ResumeLayout(false);
             this.groupBoxEx2.ResumeLayout(false);
             this.groupBoxEx2.PerformLayout();
             this.groupBoxEx1.ResumeLayout(false);
@@ -351,10 +334,6 @@
         }
 
         #endregion
-
-        private System.Windows.Forms.Button btnExecProc1;
-        private System.Windows.Forms.Button btnCancel;
-        private System.Windows.Forms.Panel panel1;
         private CustomControls.GroupBoxEx groupBoxEx1;
         private System.Windows.Forms.Label label1;
         private System.Windows.Forms.Label label3;
@@ -373,5 +352,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn col2;
         private System.Windows.Forms.DataGridViewTextBoxColumn col3;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnExecProc1;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 400)
@@ -3066,6 +3066,7 @@
             this.comboBox1.FormattingEnabled = true;
             this.comboBox1.IntegralHeight = false;
             this.comboBox1.Location = new System.Drawing.Point(133, 4);
+            this.comboBox1.MaxDropDownItems = 12;
             this.comboBox1.Name = "comboBox1";
             this.comboBox1.Size = new System.Drawing.Size(160, 29);
             this.comboBox1.TabIndex = 0;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 400)
@@ -282,12 +282,20 @@
                 // 担当者マスタ取得クラス領域
                 List<PersonInChargeMaster> pic = new List<PersonInChargeMaster>();
                 // 担当者マスタ取得SQL
-                int Delflg = 0;
-                if (rdbMode2.Checked) Delflg = 1;
                 StringBuilder strSql = new StringBuilder();
                 strSql.AppendFormat(" Where EmployeeClassFlg = {0}", m_EntryMode);
-                strSql.AppendFormat(" And DeleteFlg = {0}", Delflg);
-                strSql.Append(" Order By DisplayOrder ASC");
+
+                if (rdbMode1.Checked)
+                {
+                    strSql.Append(" And DeleteFlg = 0");
+                    strSql.Append(" Order By DisplayOrder ASC");
+                }
+                else
+                {
+                    strSql.Append(" And DeleteFlg = 1");
+                    strSql.Append(" Order By EndDate Desc, DisplayOrder ASC");
+                }
+
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear();
                 // 担当者マスタ取得
